require_dependency "phcmemberspro/application_controller"

module Phcmemberspro
  class Member::DashboardsController < ApplicationController

    # Security & Action Filters
    before_action :authenticate_user!

    # INDEX
    def index
      @member_profile = Phcmemberspro::Member::Profile.where(org_id: current_user.org_id)
      @member_listing = Phcmemberspro::Member::Listing.where(org_id: current_user.org_id)
      @member_address = Phcmemberspro::Member::Address.where(org_id: current_user.org_id)
      @directory_category = Phcmemberspro::Directory::Category.where(org_id: current_user.org_id)
    end

  end
end
